Skip to main content
You are viewing v3 of the Coralogix API. v5 is the current version. Go to the v5 reference

Get Company Policies

GEThttps://api.coralogix.com/mgmt/openapi/3/dataplans/policies/v1

No description available

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Query Parameters

    enabled_only# boolean
    Example: true
    source_type# v1.SourceType

    Possible values: [SOURCE_TYPE_UNSPECIFIED, SOURCE_TYPE_LOGS, SOURCE_TYPE_SPANS]

Response

application/json

This data structue is obtained when retrieving all policies of a company.

    policies#object[]required

    A policy is a set of rules that define the behavior of the Coralogix system for a specific company.

    oneOf
    policies.companyId#int32required
    Example: 1234
    policies.createdAt#string
    Example: 2021-01-01T00:00:00.000Z
    policies.deleted#booleanrequired
    Example: false
    policies.description#string
    Example: My Policy Description
    policies.enabled#booleanrequired
    Example: true
    policies.id#stringrequired
    Example: policy_id

    Log rules for a policy.

    policies.name#stringrequired
    Example: My Policy
    policies.order#int32required
    Example: 1
    policies.priority#quota.v1.Priorityrequired

    Possible values: [PRIORITY_TYPE_UNSPECIFIED, PRIORITY_TYPE_BLOCK, PRIORITY_TYPE_LOW, PRIORITY_TYPE_MEDIUM, PRIORITY_TYPE_HIGH]

    policies.updatedAt#string
    Example: 2021-01-01T00:00:00.000Z